<?php
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"
\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";

$charset = "utf-8";
$mime = (stristr($_SERVER["HTTP_ACCEPT"], "application/xhtml+xml")) ?
        "application/xhtml+xml" : "text/html";
header("content-type:$mime;charset=$charset");
?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Car Search</title>
    <link rel="stylesheet" type="text/css" href="carSearch.css" />
    <script type="text/javascript" src="RequestHelper.js"></script>
    <?php
    if ($_GET["parseHTML"] == "true") {
        echo '<script type="text/javascript" src="fetchCarModelsParseHTML.js"></script>';
    } elseif ($_GET["XML"] == "true") {
        echo '<script type="text/javascript" src="fetchCarModelsXML.js"></script>';
    } elseif ($_GET["plainText"] == "true") {
        echo '<script type="text/javascript" src="validateField.js"></script>';
    } elseif ($_GET["JSON"] == "true") {
        echo '<script type="text/javascript" src="fetchCarModelsJSON.js"></script>';
    } elseif ($_GET["JSONTimeout"] == "true") {
        echo '<script type="text/javascript" src="fetchCarModelsJSONTimeout.js"></script>';
    } else {
        echo '<script type="text/javascript" src="fetchCarModels.js"></script>';
    }
    ?>
  </head>
  <body>
    <form id="carSearchForm">
      <label for="year">Year:</label>
      <input id="year" name="year" type="text" size="5" />
      <span id="yearMsg" class="error"></span><br />

      <label for="make">Make:</label>
      <select id="make" name="make">
        <option value="">Select Make...</option>
        <?php
        // Import the car data array.
        require 'cars.php';
        // Output an option for each car make.
        foreach ($cars as $make => $models) {
            echo "<option value='$make'>$make</option>";
        }
        ?>
      </select><br />

      <label for ="model">Model:</label>
      <select id="model" name="model" disabled="disabled">
        <option value="">Select Model...</option>
      </select><br />

      <label for="zip">Zip:</label>
      <input id="zip" name="zip" type="text" size="11" />
      <span id="zipMsg" class="error"></span><br />

      <div id="buttonRow">
        <button type="submit" disabled="disabled">Search for my next car!</button>
      </div>
    </form>
  </body>
</html>
