<?php
// Import the car data array.
require 'cars.php';
// Look up the car models for the given make.
$carModels = $cars[$_GET["make"]];

// If no models match the given make then send back a 404.
if ($carModels == null) {
    header("HTTP/1.1 404 Not Found");
    header("Status: 404 Not Found");
    return;
}

// Set response Content-Type appropriately.
header("Content-Type: application/json");
echo "{";

// If the year is invalid, then output an error message.
if ($_GET["year"] != null && !ereg("^[1-9][0-9][0-9][0-9]$", $_GET["year"])) {
    echo '"error": {"field": "year", "message": "*Must be a 4-digit year"},';
}

// Output the car models.
echo '"make": {"name": "' . $_GET["make"] . '", "models": ';
// Use the built-in JSON encoder to convert the array to JSON.
echo json_encode($carModels);
echo "}}";
?>
