/**
 * Adds the event handlers.
 */
function init() {
    var submitBtn = document.getElementById("submitBtn");
    var origBtnText = submitBtn.firstChild.nodeValue;
    var form = document.getElementById("carEntryForm");
    form.onsubmit = function() {
        submitBtn.disabled = true;
        submitBtn.firstChild.nodeValue = "Uploading Information...";
        return true;
    };

    var iframe = document.getElementById("uploadFrame");
    iframe.onload = function() {
        if (iframe.href != "about:blank") {
            submitBtn.firstChild.nodeValue = origBtnText;
            submitBtn.disabled = false;

            var iframeWin = null;
            if (iframe.contentWindow) {
                iframeWin = iframe.contentWindow;
            } else {
                iframeWin = iframe;
            }

            if (iframeWin.results && (iframeWin.results["error"] == 0)) {
                var results = "Uploaded file name: "
                    + iframeWin.results.name + ", type: "
                    + iframeWin.results.type + ", size: "
                    + iframeWin.results.size + "bytes, stored: "
                    + iframeWin.results.tmp_name;
                alert(results);
            } else {
                var errorMsg = "Failed to return positive results.";
                if (iframeWin.results && (iframeWin.results["error"] > 0)) {
                    errorMsg += " Error code: " + iframeWin.results.error;
                }
                alert(errorMsg);
            }
        }
        return true;
    };
}

// Execute init() after the page loads.
window.onload = init;