/**
 * Has the server validate the year field and updates the display
 * with a validation error message response, if any.
 */
function validateField(field) {
    // Create an XMLHttpRequest object.
    var request = RequestHelper.createXHR();

    // Define the readyState event handler to process the response.
    request.onreadystatechange = function() {
        // We only care about state 4,
        // when the response has been received.
        if (request.readyState == 4) {
            // A status of 200 tells us the response was OK.
            // A status of 304 tells us the response was pulled
            // from the browser cache.
            if (request.status == 200 || request.status == 304) {
                // The response is just a plain string.
                // We can take that value and directly set it
                // as the body of the span tag.
                /*
                var message = request.responseText;
                if (message != "OK") {
                    document.getElementById("yearMsg").innerHTML = message;
                } else {
                    document.getElementById("yearMsg").innerHTML = "";
                }
                */
                eval(request.responseText);
            } else {
                // Some error occured, so notify the user.
                alert("Failed to validate year. Server response: "
                    + request.status + " " + request.statusText);
            }
        }
    }

    // Tell XMLHttpRequest what URL we want to GET.
    request.open("GET",
            "http://localhost/ajax-ch5/validateYear.php?"
            + encodeURIComponent(field.name)
            + "=" + encodeURIComponent(field.value), true);
    // Send the request. Remember to pass null if not sending any data.
    request.send(null);
}

/**
 * Adds the event handlers.
 */
function init() {
    // Set an event handler to validate the year.
    var yearField = document.getElementById("year");
    yearField.onchange = function() {
        if (yearField.value.length > 0) {
            validateField(yearField);
        }
    };
}

// Execute init() after the page loads.
window.onload = init;